#ifndef CATS_DIRECT_ACCESS_H
#define CATS_DIRECT_ACCESS_H
#include "memory/arrays.h"
#include "environment/environment.h"

double load_input_2d_array_double(const struct cats_2d_array_double *raster, cats_dt_coord row, cats_dt_coord col);
cats_dt_environment load_input_environment_raster(struct cats_environment_raster *raster, cats_dt_coord row, cats_dt_coord col);
void set_input_environment_raster(struct cats_environment_raster *raster, cats_dt_coord row, cats_dt_coord col, cats_dt_environment value);
char load_input_2d_array_char(const struct cats_2d_array_char *raster, cats_dt_coord row, cats_dt_coord col);
#endif //CATS_DIRECT_ACCESS_H
